# Qualifikation aktualisieren

`PUT https://{tenant}.stamp.eu/rest/skills/{skill}`

Update a skill

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `skill` | string | ja | The skill ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | ja |
| `category` | string \| null | nein |
| `color` | string \| null | nein |
| `description` | string \| null | nein |
| `expirable` | boolean | nein |
| `is_active` | boolean | nein |
| `sort_order` | integer | nein |
| `max_level` | integer | nein |
| `level_labels` | string[] \| null | nein |

## Antworten

### 200: `SkillResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object | ja |  |
| `data.id` | string | ja |  |
| `data.name` | string | ja |  |
| `data.category` | string | ja |  |
| `data.color` | string | ja |  |
| `data.description` | string | ja |  |
| `data.expirable` | string | ja |  |
| `data.is_active` | string | ja |  |
| `data.sort_order` | string | ja |  |
| `data.max_level` | string | ja |  |
| `data.level_labels` | string \| null | ja | Cast to object so the level => label map survives JsonResource serialization (numeric-keyed arrays would be re-indexed to lists) |
| `data.created_at` | string | ja |  |
| `data.updated_at` | string | ja |  |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
